ReflectionParameter::getDeclaringFunction
ReflectionParameter::getDefaultValueConstantName
ReflectionParameter
PHP Manual

# ReflectionParameter::getDefaultValue

(PHP 5 >= 5.0.3)

ReflectionParameter::getDefaultValue — Gets default parameter value

### Description

public mixed ReflectionParameter::getDefaultValue ( void )

Gets the default value of the parameter for a user-defined function or method. If the parameter is not optional a ReflectionException will be thrown.

### Parameters

This function has no parameters.

### Return Values

The parameters default value.

### Examples

Example #1 Getting

`<?php
function foo($test, $bar = 'baz')
{
echo $test . $bar;
}
$function = new ReflectionFunction('foo');
foreach ($function->getParameters() as $param) {
echo 'Name: ' . $param->getName() . PHP_EOL;
if ($param->isOptional()) {
echo 'Default value: ' . $param->getDefaultValue() . PHP_EOL;
}
echo PHP_EOL;
}
?>`

The above example will output:

    Name: test

    Name: bar
    Default value: baz

### Notes

> Note:

> Due to implementation details, it is not possible to get the default value of built-in functions or methods of built-in classes. Trying to do this will result a ReflectionException being thrown.

### See Also

- ReflectionParameter::isOptional() - Checks if optional
- ReflectionParameter::isPassedByReference() - Checks if passed by reference

ReflectionParameter::getDeclaringFunction
ReflectionParameter::getDefaultValueConstantName
ReflectionParameter
PHP Manual